As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 664907 - Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds
: Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- blocker (vote)
: mozilla8
Assigned To: Michael Wu [:mwu]
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 674830 677068
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 18:55 PDT by Michael Wu [:mwu]
Modified: 2011-08-13 18:27 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds (477 bytes, patch)
2011-06-16 18:55 PDT, Michael Wu [:mwu]
ted: review+
Details | Diff | Splinter Review
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds, v2 (719 bytes, patch)
2011-06-24 18:53 PDT, Michael Wu [:mwu]
mitchell.field: review+
Details | Diff | Splinter Review
Move *.properties comment stripping to staging (1.10 KB, patch)
2011-07-19 23:42 PDT, Michael Wu [:mwu]
khuey: review+
Details | Diff | Splinter Review
Don't link to self when dealing with files in the object directory (515 bytes, patch)
2011-07-19 23:48 PDT, Michael Wu [:mwu]
khuey: review+
Details | Diff | Splinter Review
Exclude android (548 bytes, patch)
2011-08-09 17:01 PDT, Michael Wu [:mwu]
khuey: review+
bugspam.Callek: feedback+
Details | Diff | Splinter Review

Description User image Michael Wu [:mwu] 2011-06-16 18:55:00 PDT
Created attachment 539969 [details] [diff] [review]
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds

Use MOZ_CHROME_FILE_FORMAT=symlink when omnijar is enabled.
Comment 1 User image Ted Mielczarek [:ted.mielczarek] 2011-06-24 10:00:06 PDT
Comment on attachment 539969 [details] [diff] [review]
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds

Review of attachment 539969 [details] [diff] [review]:
-----------------------------------------------------------------

This should be fine, although I'm slightly worried about the fact that we added hardlink support for Windows to JarMaker.py. In bug 574183 we hit some crazy MSYS bug that caused bad things to happen (see bug 642931). Maybe we should back out the JarMaker patch first?
Comment 2 User image Michael Wu [:mwu] 2011-06-24 18:53:51 PDT
Created attachment 541883 [details] [diff] [review]
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds, v2

sid0 wasn't so sure that this would be safe either, so I'm making this only apply to non-windows.
Comment 3 User image Mitchell Field [:Mitch] 2011-06-29 07:35:39 PDT
Comment on attachment 541883 [details] [diff] [review]
Use MOZ_CHROME_FILE_FORMAT=symlink for omnijar builds, v2

The syntax looks fine to me. rs=Mitch
Comment 5 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-06-30 18:21:26 PDT
http://hg.mozilla.org/mozilla-central/rev/6947bbce9672
Comment 6 User image Matt Brubeck (:mbrubeck) 2011-07-01 12:03:35 PDT
Backed out during investigation of Android browser-chrome test failures:
http://hg.mozilla.org/mozilla-central/rev/00bb08972e46
Comment 7 User image Michael Wu [:mwu] 2011-07-19 23:42:09 PDT
Created attachment 546996 [details] [diff] [review]
Move *.properties comment stripping to staging
Comment 8 User image Michael Wu [:mwu] 2011-07-19 23:48:14 PDT
Created attachment 546998 [details] [diff] [review]
Don't link to self when dealing with files in the object directory

When using files in the current working directory, JarMaker.py uses '.' as the base directory, which ends up giving us links like bookmarks.json -> ./bookmarks.json . This replaces '.' with the actual working directory to give us proper symlinks.
Comment 11 User image Aki Sasaki [:aki] 2011-08-09 12:09:42 PDT
This may have broken Android multilocale builds.
Comment 12 User image Aki Sasaki [:aki] 2011-08-09 14:35:00 PDT
(In reply to Aki Sasaki [:aki] from comment #11)
> This may have broken Android multilocale builds.

Verified; this broke Android multilocale builds.
https://bugzilla.mozilla.org/show_bug.cgi?id=674830#c32

(In reply to Marco Bonardo [:mak] (Away 8-14 Aug) from comment #10)
> http://hg.mozilla.org/mozilla-central/rev/d6fe12d237b0
> http://hg.mozilla.org/mozilla-central/rev/dd550792ca90
> http://hg.mozilla.org/mozilla-central/rev/95eda84ea6ba

Please back these out.
Comment 13 User image Michael Wu [:mwu] 2011-08-09 16:41:06 PDT
(In reply to Aki Sasaki [:aki] from comment #12)
> Please back these out.

Gonna make a patch to disable this on android, h/o.
Comment 14 User image Michael Wu [:mwu] 2011-08-09 17:01:35 PDT
Created attachment 551944 [details] [diff] [review]
Exclude android

Probably won't be around to commit this patch.
Comment 15 User image Steffen Wilberg 2011-08-11 03:20:19 PDT
Please either land attachment 551944 [details] [diff] [review] as a bustage fix, even if review is still pending, or back out the changesets mentioned in comment 12.

Firefox Mobile is completely broken because of this, see bug 674830.
Comment 17 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-11 18:46:01 PDT
Comment on attachment 551944 [details] [diff] [review]
Exclude android

Bookkeeping at this point, but r=me.
Comment 18 User image Matt Brubeck (:mbrubeck) 2011-08-12 08:04:54 PDT
Android fix landed on m-c for Firefox 8:
https://hg.mozilla.org/mozilla-central/rev/1d071e2fa07f
Comment 19 User image Aaron Train [:aaronmt] 2011-08-13 18:27:10 PDT
(In reply to Matt Brubeck (:mbrubeck) from comment #18)
> Android fix landed on m-c for Firefox 8:
> https://hg.mozilla.org/mozilla-central/rev/1d071e2fa07f

Verified Fixed the locale bustage
Mozilla/5.0 (Android; Linux armv7l; rv:8.0a1) Gecko/20110813 Firefox/8.0a1 Fennec/8.0a1

Note You need to log in before you can comment on or make changes to this bug.